Download it now!
Bug 115537 - Unexpected table border when Box List table style is changed and then changed back
Summary: Unexpected table border when Box List table style is changed and then changed...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2018-02-08 07:04 UTC by Jim Raykowski
Modified: 2019-02-11 15:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-02-08 07:04:23 UTC
Here are the steps to repro:

1) open a new writer document
2) insert a table (Menu > Table > Insert Table or Ctrl-F12)
Insert Table Dialog opens
3) click on AutoFormat button
AutoFormat Dialog opens
4) click on Box List Blue
5) uncheck Borders checkbox
6) click on OK
7) click on Insert
Table with Box List Blue style is inserted in document
8) open the Sidebar Styles Deck
9) click on the Table Styles icon (6th icon left to right above the content list)
10) double click on Box List Green
Table changes style to Box List Green
11) double click on Box List Blue

Result: Table changes style to Box List Blue but borders remain set to Box List Green style

Expected result: Table changes style to Box List Blue with no borders

This happens with the all of the Box List table styles when the border is unchecked.
Comment 1 Dieter 2018-02-08 19:27:58 UTC
Reproducible for me with

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 77a535285f0fd5f2464430abdc67cf99be024868
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-01-23_23:04:23
Locale: de-DE (de_DE); Calc: CL
Comment 2 QA Administrators 2019-02-09 03:44:50 UTC Comment hidden (obsolete)
Comment 3 Jim Raykowski 2019-02-09 08:43:59 UTC
Insert Table dialog has been reworked which has eliminated this bug.

Tested with:

Version: 6.3.0.0.alpha0+
Build ID: ee3cf6c82747385a1466cde66598d8e92859c904
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Xisco Faulí 2019-02-11 15:25:04 UTC
Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.